IF OBJECT_ID('dbo.vw_fco_integrada_rt11') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_rt11
GO
CREATE VIEW dbo.vw_fco_integrada_rt11
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Registro Tipo 11 - TOTALES
-- Autor: Juan Carlos Leguizamon
-- Fecha: Diciembre 2005
-- Revisiones:
-- JCL 25-AGO-07 Inclusión del campo Tipo de Planilla
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal, 0 AS secuencia,tipo_planilla,
    registro =
    '11' + 
    RIGHT('0000000000' + RTRIM(pensiones), 10) +
    RIGHT('0000000000' + RTRIM(salud), 10) + 
    RIGHT('0000000000' + RTRIM(riesgos), 10) +
    RIGHT('0000000000' + RTRIM(cajas), 10) +
    RIGHT('0000000000' + RTRIM(SENA), 10) +
    RIGHT('0000000000' + RTRIM(ICBF), 10) +
    RIGHT('0000000000' + RTRIM(ESAP), 10) +
    RIGHT('0000000000' + RTRIM(MinEducacion), 10) +
    RIGHT('0000000000' + RTRIM(Gran_Total), 10) +
    RIGHT('0000000000' + RTRIM(conteo_AFP), 10) +
    RIGHT('0000000000' + RTRIM(conteo_EPS), 10) +
    RIGHT('0000000000' + RTRIM(conteo_ARP), 10) +
    RIGHT('0000000000' + RTRIM(conteo_CCF), 10) 
FROM fco_integrada_rt11
WHERE 1  =  0 -- Este registro no debe ser enviado
GO
GRANT SELECT ON dbo.vw_fco_integrada_rt11 TO PUBLIC
GO
